<%@ Page Language="c#" Codebehind="AdmZmianaLoginuSzczegoly.aspx.cs" AutoEventWireup="True" Inherits="KOLKaP_WEB.KOLKaP.AdmZmianaLoginuSzczegoly" Culture="pl-PL" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
  <title>AdmZmianaLoginuSzczegoly</title>
  
  <meta name="CODE_LANGUAGE" content="C#" />
  <meta name="vs_defaultClientScript" content="JavaScript" />
  
  <link rel="stylesheet" type="text/css" href="../Web.css?2" />
  <style type="text/css">
    .naglowekPogrubiony { FONT-STYLE: normal; FONT-FAMILY: Verdana, Tahoma, Arial; COLOR: black; FONT-SIZE: 12pt; FONT-WEIGHT: bold }
  </style>
  <script type="text/javascript">
    
    function FormatujLogin()
    {
      document.getElementById('tbLoginNew').value = UsunPolskieSpacje(document.getElementById('tbLoginNew').value);
    }
    
    function FormatujEmail()
    {
      document.getElementById('tbEmailNew').value = UsunPolskieSpacje(document.getElementById('tbEmailNew').value);
    }
    
    function UsunPolskieSpacje(text) {
      text = replace(text, 'Ą', 'A');
      text = replace(text, 'Á', 'A');
      text = replace(text, 'À', 'A');
      text = replace(text, 'Â', 'A');
      text = replace(text, 'Ä', 'A');
      text = replace(text, 'Ã', 'A');
      text = replace(text, 'Å', 'A');
      text = replace(text, 'ą', 'a');
      text = replace(text, 'á', 'a');
      text = replace(text, 'à', 'a');
      text = replace(text, 'â', 'a');
      text = replace(text, 'ä', 'a');
      text = replace(text, 'ã', 'a');
      text = replace(text, 'å', 'a');
      text = replace(text, 'Ć', 'C');
      text = replace(text, 'Ç', 'C');
      text = replace(text, 'ć', 'c');
      text = replace(text, 'ç', 'c');
      text = replace(text, 'Ę', 'E');
      text = replace(text, 'É', 'E');
      text = replace(text, 'Ê', 'E');
      text = replace(text, 'È', 'E');
      text = replace(text, 'Ë', 'E');
      text = replace(text, 'ę', 'e');
      text = replace(text, 'é', 'e');
      text = replace(text, 'ê', 'e');
      text = replace(text, 'è', 'e');
      text = replace(text, 'ë', 'e');
      text = replace(text, 'Í', 'I');
      text = replace(text, 'Î', 'I');
      text = replace(text, 'Ì', 'I');
      text = replace(text, 'Ï', 'I');
      text = replace(text, 'í', 'i');
      text = replace(text, 'î', 'i');
      text = replace(text, 'ì', 'i');
      text = replace(text, 'ï', 'i');
      text = replace(text, 'Ł', 'L');
      text = replace(text, 'ł', 'l');
      text = replace(text, 'Ń', 'N');
      text = replace(text, 'Ñ', 'N');
      text = replace(text, 'ń', 'n');
      text = replace(text, 'ñ', 'n');
      text = replace(text, 'Ó', 'O');
      text = replace(text, 'Ö', 'O');
      text = replace(text, 'Ô', 'O');
      text = replace(text, 'Ø', 'O');
      text = replace(text, 'Õ', 'O');
      text = replace(text, 'ó', 'o');
      text = replace(text, 'ö', 'o');
      text = replace(text, 'ô', 'o');
      text = replace(text, 'ø', 'o');
      text = replace(text, 'õ', 'o');
      text = replace(text, 'Ś', 'S');
      text = replace(text, 'ś', 's');
      text = replace(text, 'ß', 's');
      text = replace(text, 'Ú', 'U');
      text = replace(text, 'Ù', 'U');
      text = replace(text, 'Û', 'U');
      text = replace(text, 'Ü', 'U');
      text = replace(text, 'ú', 'u');
      text = replace(text, 'ù', 'u');
      text = replace(text, 'û', 'u');
      text = replace(text, 'ü', 'u');
      text = replace(text, 'Ý', 'Y');
      text = replace(text, 'ý', 'y');
      text = replace(text, 'ÿ', 'y');
      text = replace(text, 'Ż', 'Z');
      text = replace(text, 'ż', 'z');
      text = replace(text, 'Ź', 'Z');
      text = replace(text, 'ź', 'z');
      text = replace(text, ' ', '')
      return text;
    }
  </script>
</head>
<body class="body">
  <form id="Form1" method="post" runat="server">
    <div>
      <asp:Label ID="lblError" runat="server"></asp:Label>
    </div>
    <div>
      <asp:Label ID="lblKomunikat" runat="server"></asp:Label>
    </div>
    <div style="text-align: center; margin: 10px auto 0px; width: 700px">
      <div style="text-align: left">
        <div style="padding-bottom: 30px; padding-top: 30px" class="naglowekPogrubiony">
          Wniosek o zmianę loginu / adresu email
        </div>
        <table border="0" cellspacing="0" cellpadding="0" width="100%" style="text-align:left">
          <tbody>
            <tr>
              <td colspan="3" style="text-align:left">
                <asp:Button ID="btnDoAkcKJ" runat="server" Enabled="False" CssClass="aspButton" Text="Do akceptacji KJ" OnClick="btnDoAkcKJ_Click"></asp:Button>
                <asp:Button ID="btnDoAkcAK" runat="server" Enabled="False" CssClass="aspButton" Text="Do akceptacji AK" OnClick="btnDoAkcAK_Click"></asp:Button>
                <asp:Button ID="btnZrealizuj" runat="server" Enabled="False" CssClass="aspButton" Text="Zatwierdź/zrealizuj" OnClick="btnZrealizuj_Click"></asp:Button>
              </td>
              <td style="width:30%; text-align:right" colspan="2">
                <asp:Button ID="btnPowrot" runat="server" CssClass="aspButton" Text="Powrót" Width="90px" OnClick="btnPowrot_Click"></asp:Button>
                <asp:Button ID="btnZapisz" runat="server" CssClass="aspButton" Text="Zapisz" Width="90px" OnClick="btnZapisz_Click"></asp:Button>
              </td>
            </tr>
            <tr>
              <td style="height:30" colspan="5"></td>
            </tr>
            <tr>
              <td style="height: 34px; width:50%" colspan="2">
                <small>Pracownik</small><br />
                <asp:Label ID="lblPracownik" runat="server" Font-Bold="True" Font-Size="12pt"></asp:Label>
              </td>
              <td valign="bottom" colspan="3">
                <small>Status</small><br />
                <asp:Label ID="lblStatus" runat="server" Font-Size="12pt"></asp:Label>
              </td>
            </tr>
            <tr>
              <td style="height:30" colspan="5"></td>
            </tr>
            <tr>
              <td style="height: 34px; width:50%" colspan="2">
                <small>Obecny login</small><br />
                <asp:Label ID="lblLoginOld" runat="server" Font-Size="12pt"></asp:Label>
              </td>
              <td valign="bottom" colspan="3">
                <small>Nowy login</small><br />
                <asp:TextBox ID="tbLoginNew" runat="server" Width="100%" OnChange="FormatujLogin()"></asp:TextBox>
              </td>
            </tr>
            <tr>
              <td style="height:10" colspan="5">
              </td>
            </tr>
            <tr>
              <td style="height: 34px; width:50%" colspan="2">
                <small>Obecny email</small><br />
                <asp:Label ID="lblEmailOld" runat="server" Font-Size="12pt"></asp:Label>
              </td>
              <td valign="bottom" colspan="3">
                <small>Nowy email</small><br />
                <asp:TextBox ID="tbEmailNew" runat="server" Width="100%" OnChange="FormatujEmail()"></asp:TextBox>
              </td>
            </tr>
          </tbody>
        </table>
      </div>
    </div>
  </form>
</body>
</html>
